Subject: Re: [perpass] Fwd: New Version Notification for draft-sheffer-tls-bcp-00.txt

From: Patrick Pelletier <[email-masked]>
Date: Sun, 08 Sep 2013 18:39:04 -0700

One thing which I feel is missing is recommendations on the size of 
Diffie-Hellman parameters.  It seems generally accepted that 1024-bit 
Diffie-Hellman is no longer secure, and yet that's what most folks are 
still using.  How about something along the lines of "Diffie-Hellman 
parameters of at least 2048 bits SHOULD be chosen"?

--Patrick

On 9/8/13 1:25 AM, Yaron Sheffer wrote:
> This is an early version of my proposal for a BCP-like document, to
> inform the industry on what can be done with existing implementations,
> while TLS 1.3 is still not ready.
>
> I would appreciate your comments of course. Specifically,
> I would like to fill in the Implementation Status table (Sec. 5) and
> would be glad to receive solid information (dates, planned dates,
> version numbers) from implementers.
>
> Thanks,
>      Yaron
>
> -------- Original Message --------
> Subject: New Version Notification for draft-sheffer-tls-bcp-00.txt
> Date: Sat, 07 Sep 2013 15:46:38 -0700
> From: [email-masked]
> To: Yaron Sheffer <[email-masked]>
>
>
> A new version of I-D, draft-sheffer-tls-bcp-00.txt
> has been successfully submitted by Yaron Sheffer and posted to the
> IETF repository.
>
> Filename:     draft-sheffer-tls-bcp
> Revision:     00
> Title:         Recommendations for Secure Use of TLS and DTLS
> Creation date:     2013-09-08
> Group:         Individual Submission
> Number of pages: 8
> URL: http://www.ietf.org/internet-drafts/draft-sheffer-tls-bcp-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-sheffer-tls-bcp
> Htmlized:        http://tools.ietf.org/html/draft-sheffer-tls-bcp-00
>
>
> Abstract:
>     Over the last few years there have been several serious attacks on
>     TLS, including attacks on its most commonly used ciphers and modes of
>     operation.  This document offers recommendations on securely using
>     the TLS and DTLS protocols, given existing standards and
>     implementations.
>
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat